import getFetch from './getFetch.js';

let api1 = {
  /**            登录信息              */
  getUserInfo: 'gic-authcenter/loginuser',
  /** 列表 */
  getList: {
    url: '/goods-async-schedulers/config/list',
    method: 'get'
  },
  /** 下拉服务器ip列表 */
  serverList: {
    url: '/goods-async-schedulers/config/server-list',
    method: 'get'
  },
  /** 开启同步 */
  uploadSync: {
    url: '/goods-async-schedulers/config/update-sync',
    method: 'post'
  },
  getDetail: {
    url: '/goods-async-schedulers/config/detail',
    method: 'post'
  },
  update: {
    url: '/goods-async-schedulers/config/update',
    method: 'post'
  },
  create: {
    url: '/goods-async-schedulers/config/create',
    method: 'post'
  },
  importGoodsIndex: '/goods-async-schedulers/config/import-goods-index',
  refreshGoodsIndex: '/goods-async-schedulers/config/refresh-goods-index',
  refreshProductIndex: '/goods-async-schedulers/config/refresh-product-index', // 索引重建并写入数据
  productIndexMapping: '/goods-async-schedulers/config/product-index-mapping',
  goodsIndexMapping: '/goods-async-schedulers/config/goods-index-mapping'

};

// api = getFetch(api, '/gic-erp-manage');
api1 = getFetch(api1, '');

export default { ...api1 };
